probe::socket.read_iter
Prev | Chapter 14. Socket Tapset | Next

## Name

probe::socket.read_iter — Receiving message via `sock_read_iter`

## Synopsis

    socket.read_iter

## Values

`state`

  Socket state value

`type`

  Socket type value

`flags`

  Socket flags value

`size`

  Message size in bytes

`name`

  Name of this probe

`family`

  Protocol family value

`protocol`

  Protocol value

## Context

The message sender

## Description

Fires at the beginning of receiving a message on a socket via the `sock_read_iter` function

Prev | Up | Next
probe::socket.create.return | Home | probe::socket.read_iter.return